{
    "objects": [
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Redis-ecs",
                "title": "Clients [Metricbeat Redis] ECS",
                "uiStateJSON": "{\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"redis.info.clients.connected\", \"customLabel\": \"Connected clients\"}, \"id\": \"1\", \"type\": \"max\"}], \"listeners\": {}, \"params\": {\"gauge\": {\"orientation\": \"vertical\", \"gaugeColorMode\": \"None\", \"style\": {\"labelColor\": false, \"fontSize\": 60, \"bgColor\": false, \"subText\": \"\"}, \"colorsRange\": [{\"to\": 100, \"from\": 0}], \"autoExtend\": false, \"invertColors\": false, \"scale\": {\"width\": 2, \"show\": false, \"labels\": false, \"color\": \"#333\"}, \"verticalSplit\": false, \"labels\": {\"show\": true, \"color\": \"black\"}, \"type\": \"simple\", \"gaugeStyle\": \"Full\", \"useRange\": false, \"gaugeType\": \"Metric\", \"percentageMode\": false, \"backStyle\": \"Full\", \"colorSchema\": \"Green to Red\"}, \"addTooltip\": true, \"type\": \"gauge\", \"addLegend\": false, \"fontSize\": 60, \"handleNoResults\": true}, \"title\": \"Clients [Metricbeat Redis] ECS\", \"type\": \"metric\"}"
            },
            "col": 1,
            "id": "Redis-Clients-Metrics-ecs",
            "panelIndex": 2,
            "row": 1,
            "size_x": 3,
            "size_y": 3,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Redis-ecs",
                "title": "Connected clients [Metricbeat Redis] ECS",
                "uiStateJSON": "{\"vis\": {\"colors\": {\"Blocked\": \"#C15C17\"}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"redis.info.clients.connected\", \"customLabel\": \"Connected\"}, \"id\": \"1\", \"type\": \"max\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"min_doc_count\": 1, \"extended_bounds\": {}, \"customInterval\": \"2h\", \"interval\": \"auto\", \"field\": \"@timestamp\"}, \"id\": \"2\", \"type\": \"date_histogram\"}, {\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"redis.info.clients.blocked\", \"customLabel\": \"Blocked\"}, \"id\": \"3\", \"type\": \"max\"}], \"listeners\": {}, \"params\": {\"scale\": \"linear\", \"yAxis\": {}, \"addTooltip\": true, \"defaultYExtents\": false, \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"shareYAxis\": true, \"seriesParams\": [{\"valueAxis\": \"ValueAxis-1\", \"show\": \"true\", \"mode\": \"stacked\", \"type\": \"histogram\", \"showCircles\": true, \"drawLinesBetweenPoints\": true, \"data\": {\"id\": \"1\", \"label\": \"Count\"}}], \"addLegend\": true, \"addTimeMarker\": false, \"categoryAxes\": [{\"scale\": {\"type\": \"linear\"}, \"id\": \"CategoryAxis-1\", \"labels\": {\"show\": true, \"truncate\": 100}, \"type\": \"category\", \"style\": {}, \"title\": {}, \"show\": true, \"position\": \"bottom\"}], \"setYExtents\": false, \"mode\": \"grouped\", \"times\": [], \"valueAxes\": [{\"scale\": {\"mode\": \"normal\", \"type\": \"linear\"}, \"id\": \"ValueAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"name\": \"LeftAxis-1\", \"style\": {}, \"title\": {\"text\": \"Count\"}, \"show\": true, \"position\": \"left\"}], \"legendPosition\": \"right\"}, \"title\": \"Connected clients [Metricbeat Redis] ECS\", \"type\": \"histogram\"}"
            },
            "col": 4,
            "id": "Redis-Connected-clients-ecs",
            "panelIndex": 1,
            "row": 1,
            "size_x": 5,
            "size_y": 3,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Redis-ecs",
                "title": "Hosts [Metricbeat Redis] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"bucket\", \"params\": {\"orderBy\": \"1\", \"field\": \"service.address\", \"size\": 5, \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"redis.info.server.uptime\", \"customLabel\": \"Uptime (s)\"}, \"id\": \"3\", \"type\": \"max\"}, {\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"process.pid\", \"customLabel\": \"PID\"}, \"id\": \"6\", \"type\": \"max\"}, {\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"redis.info.memory.used.peak\", \"customLabel\": \"Memory\"}, \"id\": \"1\", \"type\": \"max\"}, {\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"redis.info.cpu.used.user\", \"customLabel\": \"CPU used (user)\"}, \"id\": \"4\", \"type\": \"max\"}, {\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"redis.info.cpu.used.sys\", \"customLabel\": \"CPU used (system)\"}, \"id\": \"5\", \"type\": \"max\"}], \"listeners\": {}, \"params\": {\"totalFunc\": \"sum\", \"showMeticsAtAllLevels\": false, \"showTotal\": false, \"sort\": {\"columnIndex\": null, \"direction\": null}, \"showPartialRows\": false, \"perPage\": 10}, \"title\": \"Hosts [Metricbeat Redis] ECS\", \"type\": \"table\"}"
            },
            "col": 1,
            "id": "Redis-hosts-ecs",
            "panelIndex": 3,
            "row": 4,
            "size_x": 12,
            "size_y": 2,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Redis-ecs",
                "title": "Server Versions [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"service.address\", \"customLabel\": \"Hosts\"}, \"id\": \"1\", \"type\": \"cardinality\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"size\": 5, \"orderBy\": \"1\", \"field\": \"service.version\", \"customLabel\": \"Multiplexing API\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}], \"listeners\": {}, \"params\": {\"shareYAxis\": true, \"legendPosition\": \"right\", \"isDonut\": false, \"addTooltip\": true, \"addLegend\": true}, \"title\": \"Server Versions [Metricbeat Redis] ECS\", \"type\": \"pie\"}"
            },
            "col": 1,
            "id": "Redis-Server-Versions-ecs",
            "panelIndex": 4,
            "row": 6,
            "size_x": 4,
            "size_y": 2,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Redis-ecs",
                "title": "Server mode [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"service.address\", \"customLabel\": \"Hosts\"}, \"id\": \"1\", \"type\": \"cardinality\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"size\": 5, \"orderBy\": \"1\", \"field\": \"redis.info.server.mode\", \"customLabel\": \"Server mode\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}], \"listeners\": {}, \"params\": {\"shareYAxis\": true, \"legendPosition\": \"right\", \"isDonut\": false, \"addTooltip\": true, \"addLegend\": true}, \"title\": \"Server mode [Metricbeat Redis] ECS\", \"type\": \"pie\"}"
            },
            "col": 5,
            "id": "Redis-server-mode-ecs",
            "panelIndex": 5,
            "row": 6,
            "size_x": 4,
            "size_y": 2,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Redis-ecs",
                "title": "Multiplexing API [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"service.address\", \"customLabel\": \"Hosts\"}, \"id\": \"1\", \"type\": \"cardinality\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"size\": 5, \"orderBy\": \"1\", \"field\": \"redis.info.server.multiplexing_api\", \"customLabel\": \"Multiplexing API\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}], \"listeners\": {}, \"params\": {\"shareYAxis\": true, \"legendPosition\": \"right\", \"isDonut\": false, \"addTooltip\": true, \"addLegend\": true}, \"title\": \"Multiplexing API [Metricbeat Redis] ECS\", \"type\": \"pie\"}"
            },
            "col": 9,
            "id": "Redis-multiplexing-API-ecs",
            "panelIndex": 6,
            "row": 6,
            "size_x": 3,
            "size_y": 2,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Redis-ecs",
                "title": "Keyspaces [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"redis.keyspace.keys\", \"customLabel\": \"Number of keys\"}, \"id\": \"1\", \"type\": \"avg\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"min_doc_count\": 1, \"extended_bounds\": {}, \"customInterval\": \"2h\", \"interval\": \"auto\", \"field\": \"@timestamp\"}, \"id\": \"2\", \"type\": \"date_histogram\"}, {\"enabled\": true, \"schema\": \"group\", \"params\": {\"size\": 5, \"orderBy\": \"1\", \"field\": \"redis.keyspace.id\", \"customLabel\": \"Keyspaces\", \"order\": \"desc\"}, \"id\": \"3\", \"type\": \"terms\"}], \"listeners\": {}, \"params\": {\"scale\": \"linear\", \"interpolate\": \"linear\", \"yAxis\": {}, \"addTooltip\": true, \"defaultYExtents\": false, \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"shareYAxis\": true, \"seriesParams\": [{\"valueAxis\": \"ValueAxis-1\", \"show\": \"true\", \"mode\": \"stacked\", \"type\": \"area\", \"showCircles\": true, \"drawLinesBetweenPoints\": true, \"interpolate\": \"linear\", \"data\": {\"id\": \"1\", \"label\": \"Count\"}}], \"smoothLines\": false, \"addLegend\": true, \"addTimeMarker\": false, \"categoryAxes\": [{\"scale\": {\"type\": \"linear\"}, \"id\": \"CategoryAxis-1\", \"labels\": {\"show\": true, \"truncate\": 100}, \"type\": \"category\", \"style\": {}, \"title\": {}, \"show\": true, \"position\": \"bottom\"}], \"setYExtents\": false, \"mode\": \"stacked\", \"times\": [], \"valueAxes\": [{\"scale\": {\"mode\": \"normal\", \"type\": \"linear\"}, \"id\": \"ValueAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"name\": \"LeftAxis-1\", \"style\": {}, \"title\": {\"text\": \"Count\"}, \"show\": true, \"position\": \"left\"}], \"legendPosition\": \"right\"}, \"title\": \"Keyspaces [Metricbeat Redis] ECS\", \"type\": \"area\"}"
            },
            "col": 9,
            "id": "Redis-Keyspaces-ecs",
            "panelIndex": 7,
            "row": 1,
            "size_x": 4,
            "size_y": 3,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "columns": [
                    "_source"
                ],
                "description": "",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"highlight\": {\"fragment_size\": 2147483647, \"pre_tags\": [\"@kibana-highlighted-field@\"], \"fields\": {\"*\": {}}, \"require_field_match\": false, \"post_tags\": [\"@/kibana-highlighted-field@\"]}, \"filter\": [], \"index\": \"metricbeat-*\", \"query\": {\"query\": \"event.module:redis\", \"language\": \"kuery\"}}"
                },
                "sort": [
                    "@timestamp",
                    "desc"
                ],
                "title": "Metricbeat Redis ECS",
                "version": 1
            },
            "id": "Metricbeat-Redis-ecs",
            "type": "search",
            "version": 7
        },
        {
            "attributes": {
                "description": "Overview of Redis server metrics",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"version\": true, \"filter\": [], \"highlightAll\": true}"
                },
                "optionsJSON": "{\"darkTheme\": false}",
                "panelsJSON": "[{\"id\": \"Redis-Clients-Metrics-ecs\", \"type\": \"visualization\", \"row\": 1, \"size_x\": 3, \"panelIndex\": 2, \"col\": 1, \"size_y\": 3}, {\"id\": \"Redis-Connected-clients-ecs\", \"type\": \"visualization\", \"row\": 1, \"size_x\": 5, \"panelIndex\": 1, \"col\": 4, \"size_y\": 3}, {\"id\": \"Redis-hosts-ecs\", \"type\": \"visualization\", \"row\": 4, \"size_x\": 12, \"panelIndex\": 3, \"col\": 1, \"size_y\": 2}, {\"id\": \"Redis-Server-Versions-ecs\", \"type\": \"visualization\", \"row\": 6, \"size_x\": 4, \"panelIndex\": 4, \"col\": 1, \"size_y\": 2}, {\"id\": \"Redis-server-mode-ecs\", \"type\": \"visualization\", \"row\": 6, \"size_x\": 4, \"panelIndex\": 5, \"col\": 5, \"size_y\": 2}, {\"id\": \"Redis-multiplexing-API-ecs\", \"type\": \"visualization\", \"row\": 6, \"size_x\": 3, \"panelIndex\": 6, \"col\": 9, \"size_y\": 2}, {\"id\": \"Redis-Keyspaces-ecs\", \"type\": \"visualization\", \"row\": 1, \"size_x\": 4, \"panelIndex\": 7, \"col\": 9, \"size_y\": 3}]",
                "timeRestore": false,
                "title": "[Metricbeat Redis] Overview ECS",
                "uiStateJSON": "{\"P-4\": {\"vis\": {\"legendOpen\": true}}, \"P-3\": {\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}, \"P-2\": {\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}}",
                "version": 1
            },
            "id": "AV4YjZ5pux-M-tCAunxK-ecs",
            "type": "dashboard",
            "version": 1
        }
    ],
    "version": "5.6.0-SNAPSHOT"
}